PHP Manual
Prev |  | Next

# DomElement->tagname()

(no version information, might be only in CVS)

DomElement->tagname() -- Returns the name of the current element

## Description

class DomElement {
string tagname ( void )
}

Returns the name of the current node. Calling this function is the same as accessing the tagname property, or calling DomNode->node_name on the current node.

## Return Values

Returns the name of the current DomElement node.

## Examples

Example 1. Getting the node name

`<?php include("example.inc"); if (!$dom = domxml_open_mem($xmlstr)) { echo "Error while parsing the document\n"; exit; } $root = $dom->document_element(); echo $root->tagname(); // chapter echo $root->tagname; // chapter echo $root->node_name(); // chapter ?>`

## Migrating to PHP 5

Use the tagName property of the DOMElement object.

Prev | Home | Next
DomElement->set_attribute() | Up | DomNode->add_namespace